[PATCH 3/7] add script to gen a qmltypes file

Martin Gysel me at bearsh.org
Tue Aug 16 18:23:48 UTC 2016


---
 scripts/gen_qmltypes.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100755 scripts/gen_qmltypes.sh

diff --git a/scripts/gen_qmltypes.sh b/scripts/gen_qmltypes.sh
new file mode 100755
index 0000000..4ea0bc7
--- /dev/null
+++ b/scripts/gen_qmltypes.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+QMLPLUGINDUMP=${QMLPLUGINDUMP-qmlplugindump}
+
+case $1 in
+-h|--help)
+	echo "usage: $(basename $0) IMPORT_PATH"
+	echo "it uses either '$(which qmlplugindump)' or the one set by 'QMLPLUGINDUMP'"
+	exit 1
+	;;
+esac
+
+[[ -z ${1} ]] && { echo "no import path not given, exit"; exit 1; }
+
+echo "using '${QMLPLUGINDUMP}' as dump tool" >&2
+
+${QMLPLUGINDUMP} -noinstantiate -platform xcb org.kde.kirigami 1.0 "${1}"
-- 
2.9.3



More information about the Plasma-devel mailing list